<div class="row">
    <div class="col-md-10">
        <label class="search-data" style="margin-top: 12px">ค้นหาข้อมูล</label>
    </div>
    <div class="col-md-2" style="margin-top: 12px">
        <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch === true">แสดงผลน้อยลง</label>
        <label class="showsearch" (click)='ShowSearch()' *ngIf="this.showsearch !== true">แสดงผลเพิ่มเติม</label>
    </div>
    <div class="col-md-12 rectangle-line"></div>
</div>
<div *ngIf="this.showsearch === true">
    <div class="row" style="margin-top: 32px">
        <div class="col-md-4 padding-select">
            <div class="label">สายงาน</div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
                (ngModelChange)="filterSaechWorkgroup(department)">
                <option value="" selected disabled>กรุณาเลือกสายงาน</option>
                <option *ngFor="let item of divisionList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select> -->
            <div *ngIf="divisionList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',division)">
                    <option *ngIf="division !== undefined" value="" selected disabled>กรุณาเลือกสายงาน</option>
                    <option *ngIf="division === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                    <!-- <option *ngFor="let item of divisionList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; {{item.ouName}}</option> -->
                    <option *ngFor="let item of divisionList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
            </div>
            <div *ngIf="divisionList_fill === 'nondata'">
                <select class="form-control" style="height: 48px;" [(ngModel)]="division"
                    (ngModelChange)="filterSelection('division',department)">
                    <option *ngIf="division !== undefined" value="" selected disabled> - </option>
                    <option *ngIf="division === undefined" value=undefined selected disabled> - </option>
                    <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
            </div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">กลุ่มงาน</div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
                (ngModelChange)="filterSaechDepartment(workgroup)">
                <option value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
                <option *ngFor="let item of workgroupList" value="{{item.ouName}}">{{item.ouName}}</option>
            </select> -->
            <div *ngIf="workgroupList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="workgroup"
                  (ngModelChange)="filterSelection('workgroup',workgroup)">
                  <option *ngIf="workgroup !== undefined" value="" selected disabled>กรุณาเลือกกลุ่มงาน</option>
                  <option *ngIf="workgroup === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
                  <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  <!-- <option *ngFor="let item of workgroupList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; groupOuCode: {{item.groupOuCode}}; {{item.ouName}}</option> -->
                  <option *ngFor="let item of workgroupList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
              </div>
              <div *ngIf="workgroupList_fill === 'nondata'">
                <select class="form-control" style="height: 48px;" [(ngModel)]="workgroup"
                  (ngModelChange)="filterSelection('workgroup',workgroup)">
                  <option *ngIf="workgroup !== undefined" value="" selected disabled> - </option>
                  <option *ngIf="workgroup === undefined" value=undefined selected disabled> - </option>
                  <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
              </div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ฝ่ายงาน</div>
            <!-- <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="division"
                (ngModelChange)="filterSaechDivision(division)">
                <option value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
                <option *ngFor="let item of departmentList" value="{{item.ouName}}">{{item.ouName}}</option>
                
            </select> -->
            <div *ngIf="departmentList_fill !== 'nondata'">
                <select class="browser-default custom-select" style="height: 48px;" [(ngModel)]="department"
                  (ngModelChange)="filterSelection('department',department)">
                  <option *ngIf="department !== undefined" value="" selected disabled>กรุณาเลือกฝ่ายงาน</option>
                  <option *ngIf="department === undefined" value=undefined selected disabled>กรุณาเลือกฝ่ายงาน</option>
                  <option *ngIf="fillterStatus === true" value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                  <!-- <option *ngFor="let item of departmentList_fill" [ngValue]="item">ouCode :{{item.ouCode}}; sctrOuCode:{{item.sctrOuCode}}; groupOuCode: {{item.groupOuCode}};  {{item.ouName}}</option> -->
                  <option *ngFor="let item of departmentList_fill" [ngValue]="item">{{item.ouName}}</option>
                </select>
              </div>
              <div *ngIf="departmentList_fill === 'nondata'">
                <select class="form-control" style="height: 48px;" [(ngModel)]="department"
                  (ngModelChange)="filterSelection('department',department)">
                  <option *ngIf="department !== undefined" value="" selected disabled> - </option>
                  <option *ngIf="department === undefined" value=undefined selected disabled> - </option>
                  <option *ngIf="fillterStatus === true"value='resetFilter'>=== เลือกดูข้อมูลทั้งหมด ===</option>
                </select>
              </div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ตัวชี้วัด <span style="color: red">*</span></div>
            <!--        <ng-multiselect-dropdown-->
            <!--                [placeholder]="'ทั้งหมด'"-->
            <!--                [data]="dropdownList"-->
            <!--                [(ngModel)]="selectedItems"-->
            <!--                [settings]="dropdownSettings"-->
            <!--        >-->
            <!--        </ng-multiselect-dropdown>-->
            <ng-select [items]="people" [multiple]="true" bindLabel="category" groupBy="name" [selectableGroup]="true"
                [selectableGroupAsModel]="false" [closeOnSelect]="false" bindValue="category"
                placeholder="กรุณาเลือกตัวชี้วัด" [(ngModel)]="selectedPeople">
                <ng-template ng-optgroup-tmp let-item="item" let-item$="item$" let-index="index">
                    <input id="item-{{index}}" type="checkbox" [ngModel]="item$.selected" /> {{item.name | uppercase}}
                </ng-template>
                <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                    <input id="item-{{index}}" type="checkbox" [ngModel]="item$.selected" /> {{item.category}}
                </ng-template>
            </ng-select>
            <div class="must-selected">เลือกข้อมูลอย่างน้อย 1 ตัวชี้วัด</div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">ชื่อผลิตภัณฑ์ <span style="color: red">*</span></div>
            <!--        <ng-multiselect-dropdown-->
            <!--                [placeholder]="'กรุณาเลือกชื่อผลิตภัณฑ์'"-->
            <!--                [data]="dropdownList2"-->
            <!--                [(ngModel)]="selectedItems2"-->
            <!--                [settings]="dropdownSettings2"-->
            <!--        >-->
            <!--        </ng-multiselect-dropdown>-->
            <ng-select [placeholder]="'กรุณาเลือกชื่อผลิตภัณฑ์'" [items]="dropdownList2" [multiple]="true"
                bindLabel="productName" [selectableGroup]="true" [closeOnSelect]="false" [(ngModel)]="selectedItems2">
                <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                    <input id="item-{{index}}" type="checkbox" [ngModel]="item$.selected" /> {{item.productName}}
                </ng-template>
            </ng-select>
            <div class="must-selected-1" [hidden]="selectedItems2.length > 0">เลือกข้อมูลอย่างน้อย 1 ผลิตภัณฑ์
            </div>
        </div>
        <div class="col-md-4 padding-select">
            <div class="label">มุมมองของรายงาน</div>
            <select class="selected custom-select" [(ngModel)]="aspect">
                <option value="" hidden disabled>กรุณาเลือกมุมมองของรายงาน</option>
                <option value="มุมมองรายไตรมาส">มุมมองรายไตรมาส</option>
                <option value="มุมมองรายปี">​​​มุมมองรายปี</option>
            </select>
            <div style="color: #f8f9fa">.</div>
        </div>

        <div class="col-md-10"></div>
        <div class="col-md-2">
            <button class="btn rectangle-button" [disabled]="selectedItems2 && !selectedItems2.length"
                (click)="onSearch()" style="color: white;">ค้นหา
            </button>
        </div>
    </div>
    <div class="row" style="margin-top: 32px">
        <div class="row" [hidden]="hide === true">
            <div class="col-md-12 result-search">
                ผลการค้นหา
            </div>
            <div class="col-md-11 rectangle-line"
                style="margin-top: 12px;margin-bottom: 32px;margin-left: 10px;margin-right: 10px;"></div>
            <div class="col-md-4 Indicators">ตัวชี้วัด</div>
            <div class="col-md-8 graph-show">กราฟแสดงการเปรียบเทียบระหว่างข้อมูลที่เกิดขึ้นจริงกับเป้าหมาย
            </div>
        </div>
        <div class="row" style="margin-top: 24px" [hidden]="hide === true">
            <div class="col-md-12" style="margin-left: 10px;">
                <label class="Project-limit" style="margin-top: 30px;margin-left: 10px;">ปริมาณธุรกรรม</label>
                <div class="col-md-11 rectangle-line" style="margin-top: 8px;margin-bottom: 32px;"></div>
            </div>
        </div>
        <div clas="row" [hidden]="hide === true">
            <div [hidden]="checkgraph[0] === undefined">
                <div class="col-md-12">
                    <label class="Project-limit">{{checkgraph[0]}}</label>
                </div>
                <div id="00" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[1] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[1]}}</label>
                </div>
                <div id="01" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[2] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[2]}}</label>
                </div>
                <div id="02" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[3] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[3]}}</label>
                </div>
                <div id="03" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[4] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[4]}}</label>
                </div>
                <div id="04" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[5] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[5]}}</label>
                </div>
                <div id="05" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[6] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[6]}}</label>
                </div>
                <div id="06" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph[7] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph[7]}}</label>
                </div>
                <div id="07" style="height: 289px;width: 1296px"></div>
            </div>
            <div class="col-md-12">
                <label class="Project-limit" style="margin-top: 30px">ผลตอบแทน</label>
                <div class="col-md-11 rectangle-line" style="margin-top: 8px;margin-bottom: 32px;"></div>
            </div>
            <div [hidden]="checkgraph2[0] === undefined">
                <div class="col-md-12">
                    <label class="Project-limit">{{checkgraph2[0]}}</label>
                </div>
                <div id="000" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph2[1] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph2[1]}}</label>
                </div>
                <div id="001" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph2[2] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph2[2]}}</label>
                </div>
                <div id="002" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph2[3] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph2[3]}}</label>
                </div>
                <div id="003" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph2[4] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph2[4]}}</label>
                </div>
                <div id="004" style="height: 289px;width: 1296px"></div>
            </div>
            <div [hidden]="checkgraph2[5] === undefined">
                <div class="col-md-12" style="margin-top: 15px">
                    <label class="Project-limit">{{checkgraph2[5]}}</label>
                </div>
                <div id="005" style="height: 289px;width: 1296px"></div>
            </div>
        </div>
    </div>
</div>